scala.tools.nsc

# CompileSocket

###
Related Docs: class CompileSocket | package nsc

#### object CompileSocket extends CompileSocket

Source
  CompileSocket.scala

Linear Supertypes
CompileSocket, CompileOutputCommon, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompileSocket
2. CompileSocket
3. CompileOutputCommon
4. AnyRef
5. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

6. #### def cmdName: String

   Attributes
     protected
   Definition Classes
     CompileSocket

7. #### lazy val compileClient: StandardCompileClient

   Attributes
     protected
   Definition Classes
     CompileSocket

8. #### def deletePort(port: Int): Boolean

   Delete the port number to which a scala compile server was connected

   Delete the port number to which a scala compile server was connected

   Definition Classes
     CompileSocket

9. #### lazy val dirName: String

   The prefix of the port identification file, which is followed by the port number.

   The prefix of the port identification file, which is followed by the port number.

   Attributes
     protected
   Definition Classes
     CompileSocket

10. #### def echo(msg: String): Unit

    Definition Classes
      CompileOutputCommon

11. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

13. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

14. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

15. #### var fixPort: Int

    Definition Classes
      CompileSocket

16. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

17. #### def getOrCreateSocket(vmArgs: String, create: Boolean = true, fixedPort: Int = 0): Option[Socket]

    Get a socket connected to a daemon.

    Get a socket connected to a daemon. If create is true, then create a new daemon if necessary. Returns None if the connection cannot be established.

    Definition Classes
      CompileSocket

18. #### def getPassword(port: Int): String

    Definition Classes
      CompileSocket

19. #### def getPort(vmArgs: String): Int

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Get the port number to which a scala compile server is connected; If no server is running yet, then create one.

    Definition Classes
      CompileSocket

20. #### def getSocket(hostName: String, port: Int): Option[Socket]

    Definition Classes
      CompileSocket

21. #### def getSocket(serverAdr: String): Option[Socket]

    Definition Classes
      CompileSocket

22. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

23. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

24. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

28. #### def parseInt(x: String): Option[Int]

    Definition Classes
      CompileSocket

29. #### def portFile(port: Int): File

    The port identification file

    The port identification file

    Definition Classes
      CompileSocket

30. #### val portsDir: Directory

    Definition Classes
      CompileSocket

31. #### val serverClass: String

    The class name of the scala compile server

    The class name of the scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket

32. #### def serverClassArgs: collection.immutable.List[String]

    Attributes
      protected
    Definition Classes
      CompileSocket

33. #### def setPort(port: Int): Unit

    Set the port number to which a scala compile server is connected

    Set the port number to which a scala compile server is connected

    Definition Classes
      CompileSocket

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### val tmpDir: Directory

    A temporary directory to use

    A temporary directory to use

    Definition Classes
      CompileSocket

36. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

37. #### def verbose: Boolean

    Definition Classes
      CompileSocket → CompileOutputCommon

38. #### val vmCommand: String

    The vm part of the command to start a new scala compile server

    The vm part of the command to start a new scala compile server

    Attributes
      protected
    Definition Classes
      CompileSocket

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

### Inherited from CompileSocket

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Ungrouped